import { LanguageCode } from './LanguageCode.js';
type PluralizationRuleFunction = (count: number) => number;
/**
 * Provides cardinal pluralization rules based on the Unicode Common Locale Data Repository.
 * @see http://www.unicode.org/cldr/charts/latest/supplemental/language_plural_rules.html
 */
export declare class CardinalPluralizationRulesByLanguage {
    private static readonly rules;
    static get(languageCode: LanguageCode): PluralizationRuleFunction | undefined;
    private static add;
}
export {};
//# sourceMappingURL=CardinalPluralizationRulesByLanguage.d.ts.map