import { Controller, EventListenerController, EventListenerTarget, ReactiveElement } from '@a11d/lit';
export interface FocusControllerOptions {
    target?: EventListenerTarget;
    handleChange?(focused: boolean, bubbled: boolean): void;
}
export declare class FocusController extends Controller {
    protected readonly host: ReactiveElement;
    protected readonly options?: FocusControllerOptions | undefined;
    constructor(host: ReactiveElement, options?: FocusControllerOptions | undefined);
    private bubbled;
    protected _focused: boolean;
    get focused(): boolean;
    protected set focused(value: boolean);
    protected readonly anchorFocusIn: EventListenerController;
    protected readonly anchorFocusOut: EventListenerController;
}
//# sourceMappingURL=FocusController.d.ts.map