import { Component } from '@a11d/lit';
export declare const enum HeadingTypography {
    Heading1 = "heading1",
    Heading2 = "heading2",
    Heading3 = "heading3",
    Heading4 = "heading4",
    Heading5 = "heading5",
    Heading6 = "heading6",
    Subtitle1 = "subtitle1",
    Subtitle2 = "subtitle2"
}
/**
 * @element mo-heading
 *
 * @attr typography - The typography of the heading.
 *
 * @slot - The content of the heading.
 */
export declare class Heading extends Component {
    typography: HeadingTypography;
    static get styles(): import("@a11d/lit").CSSResult;
    protected get template(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'mo-heading': Heading;
    }
}
//# sourceMappingURL=Heading.d.ts.map