import { Controller, EventListenerController, EventListenerTarget, ReactiveElement } from '@a11d/lit';
export interface PointerControllerOptions {
    target?: EventListenerTarget;
    handleHoverChange?(hover: boolean): void;
}
export declare class PointerController extends Controller {
    protected readonly host: ReactiveElement;
    protected readonly options?: PointerControllerOptions | undefined;
    constructor(host: ReactiveElement, options?: PointerControllerOptions | undefined);
    protected _hover: boolean;
    get hover(): boolean;
    protected set hover(value: boolean);
    protected readonly anchorPointerIn: EventListenerController;
    protected readonly anchorPointerOut: EventListenerController;
}
//# sourceMappingURL=PointerController.d.ts.map