import { Component } from '@a11d/lit';
import { SlotController } from '@3mo/slot-controller';
import { PopoverAlignment, PopoverPlacement } from './index.js';
/**
 * @element mo-popover-container
 *
 * @attr alignment
 * @attr placement
 *
 * @slot - The content to be anchored
 * @slot popover - The popover to be anchored
 */
export declare class PopoverContainer extends Component {
    placement: PopoverPlacement;
    alignment: PopoverAlignment;
    protected readonly slotController: SlotController;
    assignSlottedPopovers(): void;
    static get styles(): import("@a11d/lit").CSSResult;
    protected get template(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'mo-popover-container': PopoverContainer;
    }
}
//# sourceMappingURL=PopoverContainer.d.ts.map