import { Controller } from '@a11d/lit';
import { PointerController } from '@3mo/pointer-controller';
import { FocusController } from '@3mo/focus-controller';
import { ResizeController } from '@3mo/resize-observer';
import { Popover } from './Popover.js';
export declare class PopoverController extends Controller {
    protected readonly host: Popover;
    constructor(host: Popover);
    protected readonly anchorFocusController: FocusController;
    protected readonly pointerController: PointerController;
    protected readonly anchorPointerController: PointerController;
    protected readonly resizeController: ResizeController<void>;
    hostUpdated(): void;
    private update;
    private openIfApplicable;
    updatePosition(): void;
    private positionAbsolute;
    private positionFixed;
}
//# sourceMappingURL=PopoverController.d.ts.map