import { AsyncDirective, PartInfo } from '@a11d/lit';
declare class ResizeDirective extends AsyncDirective {
    readonly observer: ResizeObserver;
    protected readonly element: Element;
    protected callback?: ResizeObserverCallback;
    constructor(partInfo: PartInfo);
    render(callback: ResizeObserverCallback, options?: ResizeObserverOptions): void;
    protected disconnected(): void;
}
export declare const observeResize: (callback: ResizeObserverCallback, options?: ResizeObserverOptions | undefined) => import("lit-html/directive.js").DirectiveResult<typeof ResizeDirective>;
export {};
//# sourceMappingURL=observeResize.d.ts.map