import { Controller, type ReactiveControllerHost } from '@a11d/lit';
export declare class SlotController extends Controller {
    protected readonly host: ReactiveControllerHost & Element;
    private readonly slotChangeCallback?;
    protected readonly mutationObserver: void;
    constructor(host: ReactiveControllerHost & Element, slotChangeCallback?: (() => void) | undefined);
    getAssignedNodes(slotName: string): Node[];
    hasAssignedNodes(slotName: string): boolean;
    hasAssignedContent(slotName: string): boolean;
    getAssignedElements(slotName: string): Element[];
    hasAssignedElements(slotName: string): boolean;
    private extractNodesFromSlot;
    private extractNodesFromChildren;
    hostConnected(): void;
    hostDisconnected(): void;
    private readonly handleChange;
    private handleMutation;
}
//# sourceMappingURL=SlotController.d.ts.map