import { Currency } from './Currency.js';
import type { OptionsWithLanguage } from './OptionsWithLanguage.js';
type FormatAsCurrencyOptions = OptionsWithLanguage<Omit<Intl.NumberFormatOptions, 'style' | 'currency' | 'unit' | 'unitDisplay'>>;
declare global {
    interface Number {
        formatAsCurrency(options?: FormatAsCurrencyOptions): string;
        formatAsCurrency(currency: Currency, options?: FormatAsCurrencyOptions): string;
        formatAsCurrency(currencyCode: string, options?: FormatAsCurrencyOptions): string;
    }
}
export {};
//# sourceMappingURL=Number.formatAsCurrency.d.ts.map